> ## Documentation Index
> Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Current Plan Orders (KEYED)

`Applicable for querying contract all plan orders`

#### Request URL

`GET https://cloud-api.wooxpro.com/contract/private/current-plan-order`

#### Request Limit

See [Detailed Rate Limit](/english/rate-limit)

#### Request Parameter

> Request

```shell theme={null}
curl -H 'X-API-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/contract/private/current-plan-order?symbol=BTCUSDT&type=market&limit=10
```

| Field      | Type   | Required? | Description                                                                |
| :--------- | :----- | :-------- | :------------------------------------------------------------------------- |
| symbol     | String | No        | Symbol of the contract(like BTCUSDT)                                       |
| type       | String | No        | Order type<br />-`limit` <br />- `market`                                  |
| limit      | int    | No        | The number of returned results, with a maximum of 100 and a default of 100 |
| plan\_type | String | No        | Plan order type<br />-`plan` <br />- `profit_loss`<br />default all        |

#### Response Data

> Response

```json theme={null}
{
  "code": 1000,
  "message": "Ok",
  "data": [
    {
      "order_id": "220908185908509",
      "client_order_id": "BM123",
      "executive_price": "14277",
      "trigger_price": "14277",
      "size": "7216",
      "symbol": "BTCUSDT",
      "state": 4,
      "side": 3,
      "mode": 1,
      "position_mode": "hedge_mode",
      "price_way": 2,
      "price_type": 1,
      "plan_category": 2,
      "type": "stop_loss",
      "leverage": "0",
      "open_type": "isolated",
      "create_time": 1662368173000,
      "update_time": 1662368173000
    }
  ],
  "trace": "80ba1f07-1b6f-46ad-81dd-78ac7e9bbccd"
}
```

| Field                             | Type   | Description                                                                      |
| :-------------------------------- | :----- | :------------------------------------------------------------------------------- |
| symbol                            | String | Symbol of the contract                                                           |
| order\_id                         | String | Order ID                                                                         |
| client\_order\_id                 | String | Client-defined OrderId (If the field is not defined, a empty string is returned) |
| side                              | Int    | Order side                                                                       |
| mode                              | Int    | Order mode<br />-`1`=GTC<br />-`2`=FOK<br />-`3`=IOC<br />-`4`=Maker Only        |
| position\_mode                    | String | Position mode <br />-`hedge_mode`<br />-`one_way_mode`                           |
| price\_way                        | Int    | Price way<br />-`1`=price\_way\_long<br />-`2`=price\_way\_short                 |
| price\_type                       | Int    | Trigger price type<br />-`1`=last\_price<br />-`2`=fair\_price                   |
| type                              | String | Order type<br />- `plan` <br />- `take_profit` <br />- `stop_loss`               |
| plan\_category                    | Int    | TP/SL type <br />- `1`=TP/SL <br />- `2`=Position TP/SL                          |
| size                              | String | Order amount                                                                     |
| leverage                          | String | Leverage order multipliers                                                       |
| open\_type                        | String | Open type<br />-`cross`<br />-`isolated`                                         |
| executive\_price                  | String | Executive price                                                                  |
| trigger\_price                    | String | Trigger price                                                                    |
| state                             | Int    | Order status<br />-`1`=status\_approval<br />-`2`=status\_check                  |
| preset\_take\_profit\_price\_type | Int    | Pre-set TP price type<br />-`1`=last\_price<br />-`2`=fair\_price                |
| preset\_stop\_loss\_price\_type   | Int    | Pre-set SL price type<br />-`1`=last\_price<br />-`2`=fair\_price                |
| preset\_take\_profit\_price       | String | Pre-set TP price                                                                 |
| preset\_stop\_loss\_price         | String | Pre-set SL price                                                                 |
| create\_time                      | Long   | Order created timestamp (ms)                                                     |
| update\_time                      | Long   | Order updated timestamp (ms)                                                     |
